package de.firstdata.ipg.api.client.action.catalog.object;

import java.util.List;

import de.firstdata.ipg.api.client.action.catalog.Products;
import de.firstdata.ipg.api.client.action.object.IPGAPIActionObject;
import de.firstdata.ipg.api.schema.ManageProducts;
import de.firstdata.ipg.api.schema.Product;

abstract class ProductsObject extends IPGAPIActionObject implements Products {

	protected ProductsObject(final String function) {
		getManageProducts().setFunction(function);
	}

	@Override
	public void setStoreId(final String storeId) {
		getManageProducts().setStoreId(storeId);
	}

	protected List<Product> getProducts() {
		return getManageProducts().getProduct();
	}

	@Override
	public ManageProducts getManageProducts() {
		if (this.manageProducts == null) {
			this.manageProducts = new ManageProducts();
		}
		return this.manageProducts;
	}
}
