package de.firstdata.ipg.api.client.transaction.kps.object;

import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.kps.KpsReturnTransaction;

public final class KpsReturnTransactionObject extends KpsTransactionObject implements KpsReturnTransaction {

	private static final String RETURN = "return";

	public KpsReturnTransactionObject(final Amount amount, final String orderId) {
		super(amount, orderId);
	}

	@Override
	public String getType() {
		return RETURN;
	}
}
