package de.firstdata.ipg.api.client.transaction.creditcard.setter;

import de.firstdata.ipg.api.schema.AirlineDetails;
import de.firstdata.ipg.api.schema.CarRental;
import de.firstdata.ipg.api.schema.HotelLodging;
import de.firstdata.ipg.api.schema.PurchaseCard;

/**
 * Interface for setting additional transaction data like airline, car rental
 * and hotel lodging.
 *
 * @author f6j95ln
 *
 */
public interface AdditionalTransactionDataSetter {

	void setAirlineDetails(final AirlineDetails airlineDetails);

	void setCarRental(final CarRental carRental);

	void setHotelLodging(final HotelLodging hotelLodging);

	void setPurchaseCardDetails(final PurchaseCard value);
}
