package de.firstdata.ipg.api.client.transaction.cupdomestic.object;

import de.firstdata.ipg.api.client.transaction.Amount;
import de.firstdata.ipg.api.client.transaction.cupdomestic.CUPDomesticReturnTransaction;

public final class CUPDomesticReturnTransactionObject extends CUPDomesticTransactionObject implements CUPDomesticReturnTransaction {

	private static final String RETURN = "return";

	public CUPDomesticReturnTransactionObject(final Amount amount, final String orderId) {
		super(amount, orderId);
	}

	@Override
	public String getType() {
		return RETURN;
	}
}
